Loading...
Searching...
No Matches
RDKit::SynthonSpaceSearch::SynthonSpaceFingerprintSearcher Class Reference

`#include <SynthonSpaceFingerprintSearcher.h>`

Inheritance diagram for RDKit::SynthonSpaceSearch::SynthonSpaceFingerprintSearcher:

## Public Member Functions

| SynthonSpaceFingerprintSearcher ()=delete
| SynthonSpaceFingerprintSearcher (const ROMol &query, const FingerprintGenerator< std::uint64_t > &fpGen, const SynthonSpaceSearchParams &params, SynthonSpace &space)
std::vector< std::unique_ptr< SynthonSpaceHitSet > > | searchFragSet (const std::vector< std::unique_ptr< ROMol > > &fragSet, const SynthonSet &reaction) const override
Public Member Functions inherited from RDKit::SynthonSpaceSearch::SynthonSpaceSearcher
| SynthonSpaceSearcher ()=delete
| SynthonSpaceSearcher (const ROMol &query, const SynthonSpaceSearchParams &params, SynthonSpace &space)
| SynthonSpaceSearcher (const SynthonSpaceSearcher &other)=delete
| SynthonSpaceSearcher (SynthonSpaceSearcher &&other)=delete
SynthonSpaceSearcher & | operator= (const SynthonSpaceSearcher &other)=delete
SynthonSpaceSearcher & | operator= (SynthonSpaceSearcher &&other)=delete
virtual | ~SynthonSpaceSearcher ()=default
SearchResults | search ()
void | search (const SearchResultCallback &cb)
SynthonSpace & | getSpace () const
const ROMol & | getQuery () const
const SynthonSpaceSearchParams & | getParams () const
std::unique_ptr< ROMol > | buildAndVerifyHit (const SynthonSpaceHitSet *hitset, const std::vector< size_t > &synthNums) const

## Detailed Description

Definition at line 23 of file SynthonSpaceFingerprintSearcher.h.

## Constructor & Destructor Documentation

## SynthonSpaceFingerprintSearcher() [1/2]

RDKit::SynthonSpaceSearch::SynthonSpaceFingerprintSearcher::SynthonSpaceFingerprintSearcher | ( |  | ) |

delete

## SynthonSpaceFingerprintSearcher() [2/2]

RDKit::SynthonSpaceSearch::SynthonSpaceFingerprintSearcher::SynthonSpaceFingerprintSearcher | ( | const ROMol & | query,
|  | const FingerprintGenerator< std::uint64_t > & | fpGen,
|  | const SynthonSpaceSearchParams & | params,
|  | SynthonSpace & | space )

## Member Function Documentation

## searchFragSet()

std::vector< std::unique_ptr< SynthonSpaceHitSet > > RDKit::SynthonSpaceSearch::SynthonSpaceFingerprintSearcher::searchFragSet | ( | const std::vector< std::unique_ptr< ROMol > > & | fragSet,
|  | const SynthonSet & | reaction ) const

override virtual

Implements RDKit::SynthonSpaceSearch::SynthonSpaceSearcher.

The documentation for this class was generated from the following file:

- SynthonSpaceFingerprintSearcher.h